com.genesyslab.wfm8.API.service.config850

## Class CfgActivityHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config850.CfgActivityHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivityHolder
      extends java.lang.Object
      implements java.io.Serializable

  CfgActivityHolder contains the response to the request to load Activity information, (`CfgActivity` or `CfgActivityShort` object) .
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CfgActivitySetShort>` | `activitySetInfo` An array containing short pieces of information from each Activity Set to which the returned Activities belong.
    `protected int` | `activitySetInfoNSizeIs` Number of elements in activitySetInfo array
    `protected java.util.List<CfgBUShort>` | `buInfo`
    `protected int` | `buInfoNSizeIs`
    `protected java.util.List<CfgActivity>` | `objectArray` An array of `CfgActivity`, returned if the request specifies ECfgInfoType.CFG_INFO_OBJECT detail level
    `protected int` | `objectArrayNSizeIs` Number of elements in objectArray array
    `protected java.util.List<java.lang.Integer>` | `objectIDArray` An array of Activity IDs, returned if the request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level
    `protected int` | `objectIDArrayNSizeIs` Number of elements in objectIDArray array
    `protected java.util.List<CfgActivityShort>` | `objectShortArray` An array of `CfgActivityShort`, returned if the request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level
    `protected int` | `objectShortArrayNSizeIs` Number of elements in objectShortArray array
    `private static long` | `serialVersionUID`
    `protected java.util.List<CfgSiteShort>` | `siteInfo` An array containing short pieces of information from each CfgSite to which the returned Activities belong.
    `protected int` | `siteInfoNSizeIs`
    `protected long` | `timestamp` A timestamp value -- marks point in time when response information was returned
    `protected java.util.List<CfgVirtualActivityShort>` | `virtualActivityInfo` An array containing short pieces of information from each Mult-Site Activity to which the returned Activities belong.
    `protected int` | `virtualActivityInfoNSizeIs` Number of elements in virtualActivityInfo array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivityHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CfgActivitySetShort>` | `getActivitySetInfo()` Gets the value of the activitySetInfo property.
    `int` | `getActivitySetInfoNSizeIs()` Gets the value of the activitySetInfoNSizeIs property.
    `java.util.List<CfgBUShort>` | `getBUInfo()` Gets the value of the buInfo property.
    `int` | `getBUInfoNSizeIs()` Gets the value of the buInfoNSizeIs property.
    `java.util.List<CfgActivity>` | `getObjectArray()` Gets the value of the objectArray property.
    `int` | `getObjectArrayNSizeIs()` Gets the value of the objectArrayNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getObjectIDArray()` Gets the value of the objectIDArray property.
    `int` | `getObjectIDArrayNSizeIs()` Gets the value of the objectIDArrayNSizeIs property.
    `java.util.List<CfgActivityShort>` | `getObjectShortArray()` Gets the value of the objectShortArray property.
    `int` | `getObjectShortArrayNSizeIs()` Gets the value of the objectShortArrayNSizeIs property.
    `java.util.List<CfgSiteShort>` | `getSiteInfo()` Gets the value of the siteInfo property.
    `int` | `getSiteInfoNSizeIs()` Gets the value of the siteInfoNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `java.util.List<CfgVirtualActivityShort>` | `getVirtualActivityInfo()` Gets the value of the virtualActivityInfo property.
    `int` | `getVirtualActivityInfoNSizeIs()` Gets the value of the virtualActivityInfoNSizeIs property.
    `int` | `hashCode()`
    `void` | `setActivitySetInfo(java.util.List<CfgActivitySetShort> activitySetInfo)` Sets the value of the activitySetInfo property.
    `void` | `setActivitySetInfoNSizeIs(int value)` Sets the value of the activitySetInfoNSizeIs property.
    `void` | `setBUInfo(java.util.List<CfgBUShort> buInfo)` Sets the value of the buInfo property.
    `void` | `setBUInfoNSizeIs(int value)` Sets the value of the buInfoNSizeIs property.
    `void` | `setObjectArray(java.util.List<CfgActivity> objectArray)` Sets the value of the objectArray property.
    `void` | `setObjectArrayNSizeIs(int value)` Sets the value of the objectArrayNSizeIs property.
    `void` | `setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)` Sets the value of the objectIDArray property.
    `void` | `setObjectIDArrayNSizeIs(int value)` Sets the value of the objectIDArrayNSizeIs property.
    `void` | `setObjectShortArray(java.util.List<CfgActivityShort> objectShortArray)` Sets the value of the objectShortArray property.
    `void` | `setObjectShortArrayNSizeIs(int value)` Sets the value of the objectShortArrayNSizeIs property.
    `void` | `setSiteInfo(java.util.List<CfgSiteShort> siteInfo)` Sets the value of the siteInfo property.
    `void` | `setSiteInfoNSizeIs(int value)` Sets the value of the siteInfoNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setVirtualActivityInfo(java.util.List<CfgVirtualActivityShort> virtualActivityInfo)` Sets the value of the virtualActivityInfo property.
    `void` | `setVirtualActivityInfoNSizeIs(int value)` Sets the value of the virtualActivityInfoNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgActivityHolder` | `withActivitySetInfo(CfgActivitySetShort... values)`
    `CfgActivityHolder` | `withActivitySetInfo(java.util.Collection<CfgActivitySetShort> values)`
    `CfgActivityHolder` | `withActivitySetInfoNSizeIs(int value)`
    `CfgActivityHolder` | `withBUInfo(CfgBUShort... values)`
    `CfgActivityHolder` | `withBUInfo(java.util.Collection<CfgBUShort> values)`
    `CfgActivityHolder` | `withBUInfoNSizeIs(int value)`
    `CfgActivityHolder` | `withObjectArray(CfgActivity... values)`
    `CfgActivityHolder` | `withObjectArray(java.util.Collection<CfgActivity> values)`
    `CfgActivityHolder` | `withObjectArrayNSizeIs(int value)`
    `CfgActivityHolder` | `withObjectIDArray(java.util.Collection<java.lang.Integer> values)`
    `CfgActivityHolder` | `withObjectIDArray(java.lang.Integer... values)`
    `CfgActivityHolder` | `withObjectIDArrayNSizeIs(int value)`
    `CfgActivityHolder` | `withObjectShortArray(CfgActivityShort... values)`
    `CfgActivityHolder` | `withObjectShortArray(java.util.Collection<CfgActivityShort> values)`
    `CfgActivityHolder` | `withObjectShortArrayNSizeIs(int value)`
    `CfgActivityHolder` | `withSiteInfo(CfgSiteShort... values)`
    `CfgActivityHolder` | `withSiteInfo(java.util.Collection<CfgSiteShort> values)`
    `CfgActivityHolder` | `withSiteInfoNSizeIs(int value)`
    `CfgActivityHolder` | `withTimestamp(long value)`
    `CfgActivityHolder` | `withVirtualActivityInfo(CfgVirtualActivityShort... values)`
    `CfgActivityHolder` | `withVirtualActivityInfo(java.util.Collection<CfgVirtualActivityShort> values)`
    `CfgActivityHolder` | `withVirtualActivityInfoNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### objectIDArrayNSizeIs

          protected int objectIDArrayNSizeIs

      Number of elements in objectIDArray array

    - #### objectIDArray

          protected java.util.List<java.lang.Integer> objectIDArray

      An array of Activity IDs, returned if the request specifies ECfgInfoType.CFG_INFO_OBJECT_ID detail level

    - #### objectArrayNSizeIs

          protected int objectArrayNSizeIs

      Number of elements in objectArray array

    - #### objectArray

          protected java.util.List<CfgActivity> objectArray

      An array of `CfgActivity`, returned if the request specifies ECfgInfoType.CFG_INFO_OBJECT detail level

    - #### objectShortArrayNSizeIs

          protected int objectShortArrayNSizeIs

      Number of elements in objectShortArray array

    - #### objectShortArray

          protected java.util.List<CfgActivityShort> objectShortArray

      An array of `CfgActivityShort`, returned if the request specifies ECfgInfoType.CFG_INFO_OBJECT_SHORT detail level

    - #### activitySetInfoNSizeIs

          protected int activitySetInfoNSizeIs

      Number of elements in activitySetInfo array

    - #### activitySetInfo

          protected java.util.List<CfgActivitySetShort> activitySetInfo

      An array containing short pieces of information from each Activity Set to which the returned Activities belong. Is returned only if the request specifies provideActivitySetInfo = true.

    - #### virtualActivityInfoNSizeIs

          protected int virtualActivityInfoNSizeIs

      Number of elements in virtualActivityInfo array

    - #### virtualActivityInfo

          protected java.util.List<CfgVirtualActivityShort> virtualActivityInfo

      An array containing short pieces of information from each Mult-Site Activity to which the returned Activities belong. Is returned only if the request specifies provideVirtualActivityInfo = true.

    - #### siteInfoNSizeIs

          protected int siteInfoNSizeIs

    - #### siteInfo

          protected java.util.List<CfgSiteShort> siteInfo

      An array containing short pieces of information from each CfgSite to which the returned Activities belong. Is returned only if the request specifies provideSiteInfo = true.

    - #### buInfoNSizeIs

          protected int buInfoNSizeIs

    - #### buInfo

          protected java.util.List<CfgBUShort> buInfo

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks point in time when response information was returned

  - ### Constructor Detail

    - #### CfgActivityHolder

          public CfgActivityHolder()

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the value of the objectIDArrayNSizeIs property.

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int value)

      Sets the value of the objectIDArrayNSizeIs property.

    - #### getObjectIDArray

          public java.util.List<java.lang.Integer> getObjectIDArray()

      Gets the value of the objectIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectIDArray property.

      For example, to add a new item, do as follows:

              getObjectIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the value of the objectArrayNSizeIs property.

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int value)

      Sets the value of the objectArrayNSizeIs property.

    - #### getObjectArray

          public java.util.List<CfgActivity> getObjectArray()

      Gets the value of the objectArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectArray property.

      For example, to add a new item, do as follows:

              getObjectArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgActivity`

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the value of the objectShortArrayNSizeIs property.

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int value)

      Sets the value of the objectShortArrayNSizeIs property.

    - #### getObjectShortArray

          public java.util.List<CfgActivityShort> getObjectShortArray()

      Gets the value of the objectShortArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objectShortArray property.

      For example, to add a new item, do as follows:

              getObjectShortArray().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgActivityShort`

    - #### getActivitySetInfoNSizeIs

          public int getActivitySetInfoNSizeIs()

      Gets the value of the activitySetInfoNSizeIs property.

    - #### setActivitySetInfoNSizeIs

          public void setActivitySetInfoNSizeIs(int value)

      Sets the value of the activitySetInfoNSizeIs property.

    - #### getActivitySetInfo

          public java.util.List<CfgActivitySetShort> getActivitySetInfo()

      Gets the value of the activitySetInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the activitySetInfo property.

      For example, to add a new item, do as follows:

              getActivitySetInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgActivitySetShort`

    - #### getVirtualActivityInfoNSizeIs

          public int getVirtualActivityInfoNSizeIs()

      Gets the value of the virtualActivityInfoNSizeIs property.

    - #### setVirtualActivityInfoNSizeIs

          public void setVirtualActivityInfoNSizeIs(int value)

      Sets the value of the virtualActivityInfoNSizeIs property.

    - #### getVirtualActivityInfo

          public java.util.List<CfgVirtualActivityShort> getVirtualActivityInfo()

      Gets the value of the virtualActivityInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the virtualActivityInfo property.

      For example, to add a new item, do as follows:

              getVirtualActivityInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgVirtualActivityShort`

    - #### getSiteInfoNSizeIs

          public int getSiteInfoNSizeIs()

      Gets the value of the siteInfoNSizeIs property.

    - #### setSiteInfoNSizeIs

          public void setSiteInfoNSizeIs(int value)

      Sets the value of the siteInfoNSizeIs property.

    - #### getSiteInfo

          public java.util.List<CfgSiteShort> getSiteInfo()

      Gets the value of the siteInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the siteInfo property.

      For example, to add a new item, do as follows:

              getSiteInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgSiteShort`

    - #### getBUInfoNSizeIs

          public int getBUInfoNSizeIs()

      Gets the value of the buInfoNSizeIs property.

    - #### setBUInfoNSizeIs

          public void setBUInfoNSizeIs(int value)

      Sets the value of the buInfoNSizeIs property.

    - #### getBUInfo

          public java.util.List<CfgBUShort> getBUInfo()

      Gets the value of the buInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the buInfo property.

      For example, to add a new item, do as follows:

              getBUInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `CfgBUShort`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withObjectIDArrayNSizeIs

          public CfgActivityHolder withObjectIDArrayNSizeIs(int value)

    - #### withObjectIDArray

          public CfgActivityHolder withObjectIDArray(java.lang.Integer... values)

    - #### withObjectIDArray

          public CfgActivityHolder withObjectIDArray(java.util.Collection<java.lang.Integer> values)

    - #### withObjectArrayNSizeIs

          public CfgActivityHolder withObjectArrayNSizeIs(int value)

    - #### withObjectArray

          public CfgActivityHolder withObjectArray(CfgActivity... values)

    - #### withObjectArray

          public CfgActivityHolder withObjectArray(java.util.Collection<CfgActivity> values)

    - #### withObjectShortArrayNSizeIs

          public CfgActivityHolder withObjectShortArrayNSizeIs(int value)

    - #### withObjectShortArray

          public CfgActivityHolder withObjectShortArray(CfgActivityShort... values)

    - #### withObjectShortArray

          public CfgActivityHolder withObjectShortArray(java.util.Collection<CfgActivityShort> values)

    - #### withActivitySetInfoNSizeIs

          public CfgActivityHolder withActivitySetInfoNSizeIs(int value)

    - #### withActivitySetInfo

          public CfgActivityHolder withActivitySetInfo(CfgActivitySetShort... values)

    - #### withActivitySetInfo

          public CfgActivityHolder withActivitySetInfo(java.util.Collection<CfgActivitySetShort> values)

    - #### withVirtualActivityInfoNSizeIs

          public CfgActivityHolder withVirtualActivityInfoNSizeIs(int value)

    - #### withVirtualActivityInfo

          public CfgActivityHolder withVirtualActivityInfo(CfgVirtualActivityShort... values)

    - #### withVirtualActivityInfo

          public CfgActivityHolder withVirtualActivityInfo(java.util.Collection<CfgVirtualActivityShort> values)

    - #### withSiteInfoNSizeIs

          public CfgActivityHolder withSiteInfoNSizeIs(int value)

    - #### withSiteInfo

          public CfgActivityHolder withSiteInfo(CfgSiteShort... values)

    - #### withSiteInfo

          public CfgActivityHolder withSiteInfo(java.util.Collection<CfgSiteShort> values)

    - #### withBUInfoNSizeIs

          public CfgActivityHolder withBUInfoNSizeIs(int value)

    - #### withBUInfo

          public CfgActivityHolder withBUInfo(CfgBUShort... values)

    - #### withBUInfo

          public CfgActivityHolder withBUInfo(java.util.Collection<CfgBUShort> values)

    - #### withTimestamp

          public CfgActivityHolder withTimestamp(long value)

    - #### setObjectIDArray

          public void setObjectIDArray(java.util.List<java.lang.Integer> objectIDArray)

      Sets the value of the objectIDArray property.
      Parameters:
        `objectIDArray` - allowed object is `Integer`

    - #### setObjectArray

          public void setObjectArray(java.util.List<CfgActivity> objectArray)

      Sets the value of the objectArray property.
      Parameters:
        `objectArray` - allowed object is `CfgActivity`

    - #### setObjectShortArray

          public void setObjectShortArray(java.util.List<CfgActivityShort> objectShortArray)

      Sets the value of the objectShortArray property.
      Parameters:
        `objectShortArray` - allowed object is `CfgActivityShort`

    - #### setActivitySetInfo

          public void setActivitySetInfo(java.util.List<CfgActivitySetShort> activitySetInfo)

      Sets the value of the activitySetInfo property.
      Parameters:
        `activitySetInfo` - allowed object is `CfgActivitySetShort`

    - #### setVirtualActivityInfo

          public void setVirtualActivityInfo(java.util.List<CfgVirtualActivityShort> virtualActivityInfo)

      Sets the value of the virtualActivityInfo property.
      Parameters:
        `virtualActivityInfo` - allowed object is `CfgVirtualActivityShort`

    - #### setSiteInfo

          public void setSiteInfo(java.util.List<CfgSiteShort> siteInfo)

      Sets the value of the siteInfo property.
      Parameters:
        `siteInfo` - allowed object is `CfgSiteShort`

    - #### setBUInfo

          public void setBUInfo(java.util.List<CfgBUShort> buInfo)

      Sets the value of the buInfo property.
      Parameters:
        `buInfo` - allowed object is `CfgBUShort`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.